/fal-ai/qwen-image-edit-plus
Official docs: https://fal.ai/models/fal-ai/qwen-image-edit-plus
POST
/fal-ai/qwen-image-edit-plusBody Parametersapplication/json
enable_safety_checker boolean
Enable safety checker. Default: true
guidance_scale integer
Range: 0–20
image_size string
Image size enum: square、square_hd、landscape_4_3、landscape_16_9、portrait_3_4、portrait_9_16
image_urls* array
Image URL
items string string
negative_prompt string
Negative prompt (content to avoid)
num_images integer
Number of images to generate. Range: 1–4
num_inference_steps integer
Range: 2–100
output_format string
Output image format: jpeg, png
prompt* string
Prompt.
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"enable_safety_checker": true,
3"guidance_scale": 4,
4"image_size": "square_hd",
5"image_urls": [
6"https://v3.fal.media/files/monkey/i3saq4bAPXSIl08nZtq9P_ec535747aefc4e31943136a6d8587075.png",
7"https://v3.fal.media/files/penguin/BCOZp6teRhSQFuOXpbBOa_da8ef9b4982347a2a62a516b737d4f21.png",
8"https://v3.fal.media/files/tiger/sCoZhBksx9DvwSR4_U3_C_3d1f581441874005908addeae9c10d0f.png"
9],
10"negative_prompt": "blurry, ugly",
11"num_images": 1,
12"num_inference_steps": 50,
13"output_format": "png",
14"prompt": "Close shot portrait of a woman in front of this car on this highway"
15}
1curl -X POST "https://api.digislash.com/fal-ai/qwen-image-edit-plus" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"enable_safety_checker": true,
6"guidance_scale": 4,
7"image_size": "square_hd",
8"image_urls": [
9"https://v3.fal.media/files/monkey/i3saq4bAPXSIl08nZtq9P_ec535747aefc4e31943136a6d8587075.png",
10"https://v3.fal.media/files/penguin/BCOZp6teRhSQFuOXpbBOa_da8ef9b4982347a2a62a516b737d4f21.png",
11"https://v3.fal.media/files/tiger/sCoZhBksx9DvwSR4_U3_C_3d1f581441874005908addeae9c10d0f.png"
12],
13"negative_prompt": "blurry, ugly",
14"num_images": 1,
15"num_inference_steps": 50,
16"output_format": "png",
17"prompt": "Close shot portrait of a woman in front of this car on this highway"
18}'
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/qwen-image-edit-plus/requests/9c08e7d8-312c-402d-a691-c207a9cb8121/cancel",
3"metrics": {},
4"queue_position": 0,
5"request_id": "9c08e7d8-312c-402d-a691-c207a9cb8121",
6"response_url": "https://queue.fal.run/fal-ai/qwen-image-edit-plus/requests/9c08e7d8-312c-402d-a691-c207a9cb8121",
7"status": "IN_QUEUE",
8"status_url": "https://queue.fal.run/fal-ai/qwen-image-edit-plus/requests/9c08e7d8-312c-402d-a691-c207a9cb8121/status"
9}
